#!/usr/bin/env -S gnuplot -c
outputfile = 'depEnSeed' # Nom de la imatge resultant (sense extensió)
datafilepost = '.ev'
L=32
SEEDS = ARG1
L = ARG2

do for [IDX = 0:1] {
  if (IDX == 0) {
    set terminal cairolatex size 8.5cm, 11cm
    set output outputfile.'.tex'
  } else {
    set terminal svg dashed size 600, 1200 font "Computer Modern,Tinos,Helvetica,15"
    set output outputfile.'.svg'
  }

  set multiplot layout 2,1
  set key outside top horizontal

  set xlabel "Iteracions MC"
  set ylabel '$\langle e \rangle$'
  set yrange [-2:0]
  plot for [S in SEEDS] S . datafilepost using 1:($2/(L*L)) with lines title sprintf('$S = %s$', S)

  set xlabel "Iteracions MC"
  set ylabel '$\langle m \rangle$'
  set yrange [-1:1]
  plot for [S in SEEDS] S . datafilepost using 1:($3/(L*L)) with lines title sprintf('$S = %s$', S)

  unset multiplot
}
